Subject: Re: [COSE] Alexey Melnikov's No Objection on draft-ietf-cose-msg-19: (with COMMENT)

From: Jim Schaad <[email-masked]>
Date: Wed, 5 Oct 2016 20:30:26 -0700

Alexey,

I think that I have responded to all of these comments in the draft on github.

Jim

> -----Original Message-----
> From: Alexey Melnikov [mailto:[email-masked]]
> Sent: Wednesday, September 28, 2016 3:21 PM
> To: The IESG <[email-masked]>
> Cc: [email-masked]; Goeran Selander
> <[email-masked]>; [email-masked];
> [email-masked]; [email-masked]
> Subject: Alexey Melnikov's No Objection on draft-ietf-cose-msg-19: (with
> COMMENT)
> 
> Alexey Melnikov has entered the following ballot position for
> draft-ietf-cose-msg-19: No Objection
> 
> When responding, please keep the subject line intact and reply to all email
> addresses included in the To and CC lines. (Feel free to cut this introductory
> paragraph, however.)
> 
> 
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
> 
> 
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-cose-msg/
> 
> 
> 
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> Stephen, I've seen several documents recently that "reference CDDL
> informatively" and I don't believe that. So the whole situation with CDDL makes
> me rather unhappy.
> 
> Comments on the document:
> 
> This is a well written document, despite its length. Thank you for that.
> 
> Some specific comments:
> 
> I am pretty sure that the CDDL reference is normative.
> 
> On page 13: media type syntax reference is outdated, you should reference RFC
> 6838, Section 4.2 has relevant ABNF.
> 
> In Media type registrations:
> 
> Applications that use this media type: To be identified
> 
> This answer is not useful, please specify types of applications that will be using
> these media types. Something along the lines of what you specified in the
> Introduction.
>